v1.0.0
OpenAPI 3.1.0

List all variants of a transactional message

US region

Client Libraries

List all variants of a transactional message

Returns the content variants of a transactional message, where each variant represents a different language.

Path Parameters
  • transactional_id
    Type: integer
    required

    The identifier of your transactional message. You'll find this in the UI or URL of your transactional message. For example, if this is the path of a transactional message URL - /transactional/3/templates/139 - the transactional_id is 3.

Responses
  • application/json
  • application/json
  • 404

    The transactional_id or content_id in your request do not exist.

Request Example for get/v1/transactional/{transactional_id}/contents
curl https://api.customer.io/v1/transactional/1/contents \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "contents": [
    {
      "id": 96,
      "name": "Receipt",
      "created": 1552341937,
      "updated": 1552341937,
      "body": "string",
      "language": "fr",
      "type": "email",
      "from": "sentFrom@example.com",
      "from_id": 1,
      "reply_to": "replyto@example.com",
      "reply_to_id": 38,
      "preprocessor": "premailer",
      "recipient": "{{customer.email}}",
      "subject": "Did you get that thing I sent you?",
      "cc": "string",
      "bcc": "string",
      "fake_bcc": true,
      "preheader_text": "string",
      "body_amp": "string",
      "headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]"
    }
  ]
}